# $Revision: 1.154 $, $Date: 2009/03/16 21:26:01 $
Summary:	GNOME media programs
Summary(fr.UTF-8):	Programmes multimédia de GNOME
Summary(pl.UTF-8):	Programy multimedialne dla GNOME
Name:		gnome-media
Version:	2.26.0
Release:	1
License:	GPL v2+/LGPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	3d519bc7d812aed8f6e4288b6d3cdf26
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	esound-devel >= 1:0.2.37
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gstreamer-devel >= 0.10.11
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.11
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libcanberra-gtk-devel >= 0.9
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.12
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.3.11
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	gstreamer-GConf
Requires:	gstreamer-audiosink
Requires:	libgnomeui >= 2.24.0
Obsoletes:	gnome
Obsoletes:	gnome-media-cd
Obsoletes:	gnome-media-cddb
Obsoletes:	gnome-media-cddb-devel
Obsoletes:	gnome-media-cddb-static
Obsoletes:	gnome-media-vumeter
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME media programs. GNOME is the GNU Network Object Model
Environment. That's a fancy name but really GNOME is a nice GUI
desktop environment. It makes using your computer easy, powerful, and
easy to configure.

%description -l fr.UTF-8
Programmes multimédia GNOME.

GNOME (GNU Network Object Model Environment) est un environnement
graphique de type bureau. Il rends l'utilisation de votre ordinateur
plus facile, agréable et eficace, et est facile à configurer.

%description -l pl.UTF-8
Programy multimedialne dla GNOME.

%package libs
Summary:	gnome-media library
Summary(pl.UTF-8):	Biblioteka gnome-media
Group:		X11/Libraries

%description libs
This package contains gnome-media library.

%description libs -l pl.UTF-8
Pakiet ten zawiera bibliotekę gnome-media.

%package devel
Summary:	gnome-media devel files
Summary(pl.UTF-8):	Pliki nagłówkowe gnome-media
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.24.0
Requires:	gtk+2-devel >= 2:2.16.0
Requires:	libglade2-devel >= 1:2.6.2

%description devel
gnome-media devel files.

%description devel -l pl.UTF-8
Pliki nagłówkowe gnome-media.

%package sound-recorder
Summary:	Sound recorder
Summary(pl.UTF-8):	Rejestrator dźwięku
Group:		X11/Applications/Multimedia
Requires(post):	GConf2
Requires(post):	scrollkeeper
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-audio-effects-base >= 0.10.11
Requires:	gstreamer-audiosink
Suggests:	gnome-media-volume-control
Obsoletes:	grecord
Conflicts:	gnome-media <= 0:2.8.0-5

%description sound-recorder
Sound recorder.

%description sound-recorder -l pl.UTF-8
Rejestrator dźwięku.

%package static
Summary:	gnome-media static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gnome-media
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gnome-media static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gnome-media.

%package volume-control
Summary:	Volume controler
Summary(pl.UTF-8):	Regulator głośności
Group:		X11/Applications/Multimedia
Requires(post,postun):	gtk+2
Requires:	%{name} = %{version}-%{release}
Requires:	pulseaudio
Conflicts:	gnome-media <= 0:2.8.0-5

%description volume-control
Volume control.

%description volume-control -l pl.UTF-8
Regulator głośności.

%prep
%setup -q

%build
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%find_lang %{name}-2.0
%find_lang gnome-sound-recorder --with-gnome --with-omf
%find_lang gstreamer-properties --with-gnome --with-omf
cat gstreamer-properties.lang >> %{name}-2.0.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%scrollkeeper_update_post
%gconf_schema_install gnome-audio-profiles.schemas

%preun
%gconf_schema_uninstall gnome-audio-profiles.schemas

%postun
%update_icon_cache hicolor
%scrollkeeper_update_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post sound-recorder
%update_icon_cache hicolor
%scrollkeeper_update_post
%gconf_schema_install gnome-sound-recorder.schemas

%preun sound-recorder
%gconf_schema_install gnome-sound-recorder.schemas

%postun sound-recorder
%update_icon_cache hicolor
%scrollkeeper_update_postun

%post volume-control
%update_icon_cache hicolor

%postun volume-control
%update_icon_cache hicolor

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-audio-profiles-properties
%attr(755,root,root) %{_bindir}/gstreamer-properties
%attr(755,root,root) %{_libdir}/libglade/2.0/*.so
%{_desktopdir}/gstreamer-properties.desktop
%dir %{_datadir}/gnome-media
%{_datadir}/gnome-media/glade
%{_datadir}/gstreamer-properties
%{_iconsdir}/hicolor/*/*/gstreamer-properties.*
%{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-media-profiles.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-media-profiles.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-media-profiles.so
%{_libdir}/libgnome-media-profiles.la
%{_includedir}/gnome-media
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-media-profiles.a

%files sound-recorder -f gnome-sound-recorder.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-sound-recorder
%{_datadir}/gnome-sound-recorder
%{_desktopdir}/gnome-sound-recorder.desktop
%{_iconsdir}/hicolor/*/*/gnome-sound-recorder.*
%{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas

%files volume-control
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-volume-control
%attr(755,root,root) %{_bindir}/gnome-volume-control-applet
%{_datadir}/gnome-media/icons
%dir %{_datadir}/gnome-media/sounds
%{_datadir}/gnome-media/sounds/gnome-sounds-default.xml
%{_desktopdir}/gnome-volume-control.desktop
%dir %{_datadir}/sounds/gnome
%dir %{_datadir}/sounds/gnome/default
%dir %{_datadir}/sounds/gnome/default/alerts
%{_datadir}/sounds/gnome/default/alerts/*.ogg
%{_sysconfdir}/xdg/autostart/gnome-volume-control-applet.desktop
%{_iconsdir}/hicolor/*/*/gnome-volume-control.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-media.spec,v $
Revision 1.154  2009/03/16 21:26:01  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.153.2.2  2009/03/07 18:10:52  megabajt
- updated to 2.25.92

Revision 1.153.2.1  2009/02/21 15:09:12  megabajt
- updated to 2.25.5
- volume-control requires pulseaudio to work

Revision 1.153  2008/11/11 15:15:40  arekm
- release 2

Revision 1.152  2008/09/29 18:30:55  megabajt
- updated to 2.24.0; merged changes from DEVEL
- removed obsolete -desktop.patch, -configure.patch and glsink.patch

Revision 1.151.2.4  2008/09/12 22:40:05  patrys
- 2.23.92
- dropped X-Capplet (fix applnk, not GNOME)

Revision 1.151.2.3  2008/09/04 10:02:11  patrys
- 2.23.91

Revision 1.151.2.2  2008-06-03 20:48:33  patrys
- 2.23.3

Revision 1.151.2.1  2008-05-13 12:57:49  patrys
- 2.23.1.1
- gnome-cd and gnome-cddb are obsolete and deprecated

Revision 1.151  2008-03-12 00:23:27  patrys
- 2.22.0
- waiting for gnome-control-center

Revision 1.150  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.149  2007/09/19 13:09:37  megabajt
- updated to 2.20.1

Revision 1.148  2007/09/18 17:44:21  megabajt
- updated deps

Revision 1.147  2007/09/17 17:45:14  patrys
- 2.20.0

Revision 1.146.2.2  2007/09/07 16:52:55  megabajt
- updated deps

Revision 1.146.2.1  2007/09/07 12:46:01  patrys
- 2.19.91
- TODO: check if gnome-cd icon is in the right package

Revision 1.146  2007/09/03 17:11:48  aflinta
- added glsink patch to fix bug #465110, release 2

Revision 1.145  2007/03/13 11:53:51  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.144.2.2  2007/03/05 16:24:03  megabajt
- updated configure patch and deps

Revision 1.144.2.1  2007/03/04 21:31:14  patrys
- 2.17.91

Revision 1.144  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.143  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.142  2006/10/05 22:09:45  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.141  2006/09/09 01:13:30  patrys
- rebuild

Revision 1.140  2006/09/06 17:15:45  grzegol
- 2.16.1

Revision 1.139  2006/08/09 19:05:28  freetz
- rel.6

Revision 1.138  2006/07/14 15:04:15  freetz
- really fixed gail requirement, rel.5

Revision 1.137  2006/07/14 14:59:30  freetz
- fixed wrong R:, rel.4

Revision 1.136  2006/07/13 21:00:07  freetz
- rel.3, updated deps, --as-needed passed to LDFLAGS

Revision 1.135  2006/06/08 21:34:45  freetz
- rel.2, GNOME 2.15.x deps, remove unsupported locale

Revision 1.134  2006/06/06 14:04:44  qboosh
- md5

Revision 1.133  2006/06/06 13:56:41  qboosh
- merged update to 2.14.2 from AC-branch (capplet match merged in to desktop patch)

Revision 1.132  2006/04/04 17:58:15  freetz
- rel.2

Revision 1.131  2006/04/02 14:20:16  freetz
- libs subpackage for easier development

Revision 1.130  2006/04/02 14:03:23  freetz
- don't check for runtime requirement at build time (patch)

Revision 1.129  2006/04/02 11:46:00  freetz
- merged from DEVEL

Revision 1.128.2.6  2006/03/12 21:48:00  freetz
- 2.14.0

Revision 1.128.2.5  2006/02/27 22:20:16  freetz
- 2.13.93, removed gstreamer-GConf BR

Revision 1.128.2.4  2006/02/15 07:55:33  freetz
- 2.13.92, updated deps

Revision 1.128.2.3  2006/01/31 18:53:51  patrys
- temporarily added BR: gstreamer-audio-effects-base (won't build without it)

Revision 1.128.2.2  2006/01/31 16:56:27  freetz
- fixed gstreamer deps

Revision 1.128.2.1  2006/01/31 13:54:47  freetz
- 2.13.91

Revision 1.128  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.127  2005/12/15 18:48:06  freetz
- require gstreamer-audio-effects for recorder, volume subpackages too,
  removed autogenerated deps

Revision 1.126  2005/12/15 18:16:18  dzeus
- added R: gstreamer-audio-effects for gnome-cd (thx freetz :)
- removed redudant R: gstreamer-cdaudio
- rel. 3, STBR

Revision 1.125  2005/12/12 16:55:45  tiwek
- added R: gstreamer-cdaudio to cdplayer

Revision 1.124  2005/09/06 17:41:07  freetz
- merged from DEVEL

Revision 1.122.2.7  2005/09/05 12:58:28  paladine
- updated to 2.12.0

Revision 1.122.2.6  2005/08/25 11:04:01  paladine
- missing dir
- rel. 3

Revision 1.122.2.5  2005/08/18 10:56:42  aflinta
- rebuild with cairo, rel. 2

Revision 1.122.2.4  2005/08/08 13:48:29  paladine
- updated to 2.11.5

Revision 1.122.2.3  2005/07/13 11:13:37  freetz
- 2.11.5

Revision 1.122.2.2  2005/07/04 21:31:33  freetz
- BR/R nautilus-cd-burner-{devel,libs} >= 2.11.1

Revision 1.122.2.1  2005/07/04 21:19:41  freetz
- 2.11.4, %%files updates
